Dancer::Serializer::YAML(3pm)

NAME
Dancer::Serializer::YAML - serializer for handling YAML data

VERSION
version 1.3522

SYNOPSIS

DESCRIPTION
This class is an interface between Dancer's serializer engine abstraction layer and the YAML (or YAML::XS) module.

In order to use this engine, use the template setting:

    serializer: YAML

This can be done in your config.yml file or directly in your app code with the set keyword. This serializer will also be used when the serializer is set to mutable and the correct Accept headers are supplied.

By default, the module YAML will be used to serialize/deserialize data and the application configuration files. This can be changed via the configuration:

    engines:
        YAML:
            module: YAML::XS

Note that if you want all configuration files to be read using "YAML::XS", that configuration has to be set via application code:

   config->{engines}{YAML}{module} = 'YAML::XS';

METHODS

  serialize
Serialize a data structure to a YAML structure.

  deserialize
Deserialize a YAML structure to a data structure

  content_type
Return 'text/x-yaml'

AUTHOR
Dancer Core Developers

COPYRIGHT AND LICENSE
This software is copyright (c) 2010 by Alexis Sukrieh.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.